var dprAdminFormChanged = [];
window.onbeforeunload = function(){
	// If there are at lease one unsaved form - show message for confirnation for page leave
	if(dprAdminFormChanged.length)
		return 'Some changes were not-saved. Are you sure you want to leave?';
};
jQuery(document).ready(function(){
	// Timeout - is to count only user changes, because some changes can be done auto when form is loaded
	setTimeout(function() {
		// If some changes was made in those forms and they were not saved - show message for confirnation before page reload
		var formsPreventLeave = ['dprAdminOptsForm', 'edittag'];
		jQuery('#'+ formsPreventLeave.join(', #')).find('input,select').change(function(){
			var formId = jQuery(this).parents('form:first').attr('id');
			changeAdminFormDpr(formId);
		});
		jQuery('#'+ formsPreventLeave.join(', #')).find('input[type=text],textarea').keyup(function(){
			var formId = jQuery(this).parents('form:first').attr('id');
			changeAdminFormDpr(formId);
		});
		jQuery('#'+ formsPreventLeave.join(', #')).submit(function(){
			adminFormSavedDpr( jQuery(this).attr('id') );
		});
	}, 1000);

	jQuery('.toeRemovePlugActivationNoticeDpr').click(function(){
		 jQuery(this).parents('.info_box:first').animateRemoveDpr();
		 return false;
	 });
	 if(window.location && window.location.href && window.location.href.indexOf('plugins.php')) {
		 if(DPR_DATA.allCheckRegPlugs && typeof(DPR_DATA.allCheckRegPlugs) == 'object') {
			 for(var plugName in DPR_DATA.allCheckRegPlugs) {
				 var plugRow = jQuery('#'+ plugName.toLowerCase())
				 ,	updateMsgRow = plugRow.next('.plugin-update-tr');
				 if(plugRow.size() && updateMsgRow.find('.update-message').size()) {
					 updateMsgRow.find('.update-message').find('a').each(function(){
						 if(jQuery(this).html() == 'update now') {
							 jQuery(this).click(function(){
								 toeShowModuleActivationPopupDpr( plugName, 'activateUpdate', jQuery(this).attr('href') );
								 return false;
							 });
						 }
					 });
				 }
			 }
		 }
	 }
});
function toeShowModuleActivationPopupDpr(plugName, action, goto) {
	action = action ? action : 'activatePlugin';
	goto = goto ? goto : '';
	jQuery('#toeModActivationPopupFormDpr').find('input[name=plugName]').val(plugName);
	jQuery('#toeModActivationPopupFormDpr').find('input[name=action]').val(action);
	jQuery('#toeModActivationPopupFormDpr').find('input[name=goto]').val(goto);
	
	tb_show(toeLangDpr('Activate plugin'), '#TB_inline?width=710&height=220&inlineId=toeModActivationPopupShellDpr', false);
	var popupWidth = jQuery('#TB_ajaxContent').width()
	,	docWidth = jQuery(document).width();
	// Here I tried to fix usual wordpress popup displace to right side
	jQuery('#TB_window').css({'left': Math.round((docWidth - popupWidth)/2)+ 'px', 'margin-left': '0'});
}
function changeAdminFormDpr(formId) {
	if(jQuery.inArray(formId, dprAdminFormChanged) == -1)
		dprAdminFormChanged.push(formId);
}
function adminFormSavedDpr(formId) {
	if(dprAdminFormChanged.length) {
		for(var i in dprAdminFormChanged) {
			if(dprAdminFormChanged[i] == formId) {
				dprAdminFormChanged.pop(i);
			}
		}
	}
}
function checkAdminFormSaved() {
	if(dprAdminFormChanged.length) {
		if(!confirm(toeLangDpr('Some changes were not-saved. Are you sure you want to leave?'))) {
			return false;
		}
		dprAdminFormChanged = [];	// Clear unsaved forms array - if user wanted to do this
	}
	return true;
}
function isAdminFormChanged(formId) {
	if(dprAdminFormChanged.length) {
		for(var i in dprAdminFormChanged) {
			if(dprAdminFormChanged[i] == formId) {
				return true;
			}
		}
	}
	return false;
}