var dprAllBooksById = {}
,	dprBookMng = new dprBookManager()
,	dprBooksContents = {};
yepnope({
	test : Modernizr.csstransforms
,	yep: [bookCoreFolderPath+ 'book-core.min.js']
,	nope: [bookCoreFolderPath+ 'book-core.html4.min.js']
,	complete: function(){
		if(typeof(dprAllBooks) != 'undefined' && dprAllBooks) {
			var wndWidth = jQuery(window).width();
			for(var i = 0; i < dprAllBooks.length; i++) {
				dprBookMng.create( dprAllBooks[i] ).adjustWidth( wndWidth );
			}
			jQuery(document).on('click', '.dprTbBtnFirst', function(){
				var bookId = dprGetBookIdFromTdEl(this)
				,	book = dprBookMng.getById(bookId).getHtml();
				book.turn('page', 1);
				return false;
			});
			jQuery(document).on('click', '.dprTbBtnLast', function(){
				var bookId = dprGetBookIdFromTdEl(this)
				,	book = dprBookMng.getById(bookId).getHtml()
				,	bookData = dprBookMng.getById(bookId).getData();
				book.turn('page', bookData.pages.length);
				return false;
			});
			jQuery(document).on('click', '.dprTbBtnPrev', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).turnPrev();
				return false;
			});
			jQuery(document).on('click', '.dprTbBtnNext', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).turnNext();
				return false;
			});
			jQuery(document).on('submit', '.dprTdPageNumForm', function(){
				var newPage = jQuery(this).find('.dprTbPageNumTxt').val()
				,	goToPageNum = 0
				,	movedToPage = false;
				if(strpos(newPage, '-')) {
					var pagesArr = newPage.split('-');
					goToPageNum = parseInt(pagesArr[0]);
				} else {
					goToPageNum = parseInt(newPage);
				}
				if(goToPageNum) {
					var bookId = dprGetBookIdFromTdEl(this)
					,	book = dprBookMng.getById(bookId).getHtml()
					,	bookPagesCount = dprBookMng.getById(bookId).getPagesCount();
					if(goToPageNum <= bookPagesCount) {
						book.turn('page', goToPageNum);
						movedToPage = true;
					}
				}
				if(!movedToPage) {
					alert(toeLangDpr('Please enter valid page number'));
				}
				return false;
			});
			jQuery(document).on('click', '.dprTbBtnZoom', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).zoomIn();
				return false;
			});
			jQuery(document).on('click', '.dprTbBtnZoomOut', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).zoomOut();
				return false;
			});
			jQuery(document).on('click', '.dprTbBtnFullscreen', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).fullscreenToggle();
				return false;
			});
			jQuery(document).on('click', '.dprTbBtnSearch', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).toggleSearchForm();
				return false;
			});
			jQuery(document).on('keyup', '.dprTbSearchTxt', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).search( jQuery(this).val() );
				return false;
			});
			jQuery(document).on('submit', '.dprTbSearchForm', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).search( jQuery(this).find('.dprTbSearchTxt').val() );
				return false;
			});
			jQuery(document).on('click', '.dprTbBtnPrevSearch', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).goToPrevSearch();
				return false;
			});
			jQuery(document).on('click', '.dprTbBtnNextSearch', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).goToNextSearch();
				return false;
			});
			jQuery(document).on('click', '.dprTbBtnShare', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).toggleSocLinks();
				return false;
			});
			jQuery(document).on('click', '.dprTbBtnExport', function(){
				var bookId = dprGetBookIdFromTdEl(this);
				dprBookMng.getById(bookId).toggleExportLinks();
				return false;
			});
			jQuery(window).resize(function() {
				var newWndWidth = jQuery(window).width()
				,	allBooks = dprBookMng.getAll();
				for(var i in allBooks) {
					allBooks[ i ].adjustWidth( newWndWidth );
				}
			});
			jQuery(document).scroll(function(){
				var allBooks = dprBookMng.getAll();
				for(var i in allBooks) {
					allBooks[ i ].setZoomOutPos();
					allBooks[ i ].setPlLocation();
				}
			});
		}
	}
});

function dprGetBookIdFromTdEl(el) {
	return jQuery(el).parents('.dprTdShell').attr('data-bookid');
}

