function dprBookManager() {
	this._booksByIds = {};
}
dprBookManager.prototype.create = function(bookData) {
	this._booksByIds[ bookData.term_id ] = new drpBook( bookData );
	return this._booksByIds[ bookData.term_id ];
};
dprBookManager.prototype.getById = function(bookId) {
	return this._booksByIds[ bookId ] ? this._booksByIds[ bookId ] : false;
};
dprBookManager.prototype.getAll = function() {
	return this._booksByIds;
};