<?php
	$bookShellId = 'book_shell_'. $this->book->term_id;
	$bookStageShellId = 'book_stage_'. $this->book->term_id;
	$bookToolberShellId = 'book_toolbar_'. $this->book->term_id;
	$bookId = 'book_'. $this->book->term_id;
	$stageBgStyle = utilsDpr::generateBgStyle(array(
		'type' => $this->book->params['bg_type'],
		'color' => $this->book->params['bg_color'],
		'opacity' => $this->book->params['bg_opacity'],
		'img' => $this->book->params['bg_img'],
		'img_pos' => isset($this->book->params['bg_img_pos']) ? $this->book->params['bg_img_pos'] : 'center',
	));
	$pageBgStyle = utilsDpr::generateBgStyle(array(
		'type' => $this->book->params['page_bg_type'],
		'color' => $this->book->params['page_bg_color'],
		'opacity' => $this->book->params['page_bg_opacity'],
		'img' => $this->book->params['page_bg_img'],
		'img_pos' => isset($this->book->params['page_img_pos']) ? $this->book->params['page_img_pos'] : 'center',
	));
   $bookShellHeight = $this->book->params['stage_height'] - $this->toolbarData['height'];
   $bookHeight = $this->book->params['height'];
?>
<style type="text/css">
	#<?php echo $bookId?> {
		/*width: <?php echo $this->book->params['width_out']?>;
		height: <?php echo $this->book->params['height_out']?>;*/
		top: <?php echo ($bookShellHeight - $bookHeight) / 2?>px;
	}
	#<?php echo $bookStageShellId?> {
		width: <?php echo $this->book->params['stage_width_out']?>;
		height: <?php echo $this->book->params['stage_height_out']?>;
		<?php echo $stageBgStyle;?>;
	}
	#<?php echo $bookShellId?> {
		height: <?php echo $bookShellHeight?>px;
	}
	#<?php echo $bookShellId?> {
		height: <?php echo $bookShellHeight?>px;
	}
	#<?php echo $bookId?> .page-main-content {
		padding: <?php echo (int)$this->book->params['page_content_indent']?>px;
	}
	/*Pages will be just white for now*/
	#<?php echo $bookId?> .page {
		<?php echo $pageBgStyle?>;
	}
</style>
<div id="<?php echo $bookStageShellId?>" class="dprBookStageShell flipbook-viewport">
	<?php dispatcherDpr::doAction('bookStartHtml', $this->book)?>
	<div id="<?php echo $bookShellId?>" class="dprBookShell container">
		<div id="<?php echo $bookId?>" data-bookid="<?php echo $this->book->term_id?>" class="dprBook flipbook"></div>
	</div>
	<div class="dprTdShell" id="<?php echo $bookToolberShellId?>" data-bookid="<?php echo $this->book->term_id?>">
		<?php echo $this->toolbarHtml?>
	</div>
	<?php dispatcherDpr::doAction('bookEndHtml', $this->book)?>
</div>
