<?php
class optionsDpr extends moduleDpr {
	private $_optionsDesc = array();
	private $_pluginOptionsDesc = array();
	
	public function init() {
		parent::init();
		$this->_checktDefOptions();
	}
	private function _getOptionsDefInited() {
		return (int)$this->get('options_initialized');
	}
	private function _setOptionsInited() {
		$this->getModel()->save('options_initialized', 1);
	}
	private function _checktDefOptions() {
		if(!$this->_getOptionsDefInited()) {
			$optsDesc = $this->getOptionsDesc();
			foreach($optsDesc as $key => $data) {
				if(isset($data['default']))
					$this->getModel()->save($key, $data['default']);
			}
			$this->_setOptionsInited();
		}
	}
    /**
     * This method provides fast access to options model method get
     * @see optionsModel::get($d)
     */
    public function get($code) {
        return $this->getModel()->get($code);
    }
	/**
     * This method provides fast access to options model method get
     * @see optionsModel::get($d)
     */
	public function isEmpty($code) {
		return $this->getModel()->isEmpty($code);
	}
	public function getAllowedPublicOptions() {
		// empty for now
		return array();
		$res = array();
		$alowedForPublic = array();
		$allOptions = $this->getModel()->getByCode();
		foreach($alowedForPublic as $code) {
			if(isset($allOptions[ $code ]))
				$res[ $code ] = $allOptions[ $code ];
		}
		return $res;
	}
	public function getOptionsDesc() {
		if(empty($this->_optionsDesc)) {
			$this->_optionsDesc = array(
				'def_stage_width' => array('label' => __('Default Stage Width'), 'type' => 'text', 'default' => '1000', DPR_LANG_CODE),
				'def_stage_height' => array('label' => __('Default Stage Height'), 'type' => 'text', 'default' => '600', DPR_LANG_CODE),
				'def_width' => array('label' => __('Default Width'), 'type' => 'text', 'default' => '800', DPR_LANG_CODE),
				'def_height' => array('label' => __('Default Height'), 'type' => 'text', 'default' => '400', DPR_LANG_CODE),
			);
		}
		return $this->_optionsDesc;
	}
	public function getPlugOptsDesc() {
		if(empty($this->_pluginOptionsDesc)) {
			$this->_pluginOptionsDesc = array(
				'send_stats' => array('label' => __('Send anonymous statistic', DPR_LANG_CODE), 'desc' => __('This will not send any private info, just statistics about plugin used functionalities, to help us improve our software for You.', DPR_LANG_CODE), 'type' => 'checkboxHiddenVal', 'default' => '1'),
			);
		}
		return $this->_pluginOptionsDesc;
	}
	public function getAllOptsDesc() {
		return array_merge($this->getOptionsDesc(), $this->getPlugOptsDesc());
	}
}

