<?php if(empty($this->booksCount)) { ?>
	<a href="<?php echo $this->urlAddBook?>" class="button button-primary" title="<?php _e('Start add publications', DPR_LANG_CODE)?>"><?php _e('You have no publications for now. Start add publications.', DPR_LANG_CODE)?></a>
<?php } else { ?>
<table class="form-table">
	<tbody>
		<tr>
			<th scope="row"><?php _e('Total publications', DPR_LANG_CODE)?>:</th>
			<td width="1"><?php echo $this->booksCount?></td>
			<td><a href="<?php echo $this->urlAddBook?>" target="_blank" class="dashicons dashicons-plus-alt" title="<?php _e('Add publication', DPR_LANG_CODE)?>"></a></td>
		</tr>
		<tr>
			<?php if(empty($this->pagesCount)) { ?>
			<th colspan="3">
				<a href="<?php echo $this->urlAddPage?>" target="_blank" class="button button-primary" title="<?php _e('Start add pages', DPR_LANG_CODE)?>"><?php _e('Start add pages', DPR_LANG_CODE)?></a>
			</th>
			<?php } else {?>
			<th scope="row"><?php _e('Total pages', DPR_LANG_CODE)?>:</th>
			<td width="1"><?php echo $this->pagesCount?></td>
			<td><a href="<?php echo $this->urlAddPage?>" target="_blank" class="dashicons dashicons-plus-alt" title="<?php _e('Add page', DPR_LANG_CODE)?>"></a></td>
			<?php }?>
		</tr>
	</tbody>
</table>
<?php }?>