<?php
class pageControllerDpr extends controllerDpr { 
	public function remove() {
		$res = new responseDpr();
		if($this->getModel()->remove(reqDpr::get('post')))  {
			$res->addMessage(__('Done', DPR_LANG_CODE));
		} else
			$res->pushError ($this->getModel()->getErrors());
		$res->ajaxExec();
	}
	public function split() {
		$res = new responseDpr();
		if($addedIds = $this->getModel()->split(reqDpr::get('post')))  {
			$addedPages = $this->getModel()->get(array('id' => $addedIds, 'includeEditLink' => true));
			$res->addData('addedPages', $addedPages);
			$res->addMessage(__('Done', DPR_LANG_CODE));
		} else
			$res->pushError ($this->getModel()->getErrors());
		$res->ajaxExec();
	}
	public function merge() {
		$res = new responseDpr();
		if($addedId = $this->getModel()->merge(reqDpr::get('post')))  {
			$addedPage = $this->getModel()->getById($addedId, array('includeEditLink' => true));
			$res->addData('addedPage', $addedPage);
			$res->addMessage(__('Done', DPR_LANG_CODE));
		} else
			$res->pushError ($this->getModel()->getErrors());
		$res->ajaxExec();
	}
	/**
	 * @see controller::getPermissions();
	 */
	public function getPermissions() {
		return array(
			DPR_USERLEVELS => array(
				DPR_ADMIN => array('remove', 'split', 'merge')
			),
		);
	}
}
