jQuery(document).ready(function(){
	if(typeof(dprBookSelectedId) !== 'undefined' && dprBookSelectedId) {
		jQuery('#post').find('input[type=checkbox][name="tax_input[dpr_book][]"][value='+ dprBookSelectedId+ ']').attr('checked', 'checked');
	}
	jQuery('#major-publishing-actions')
		.append('<input id="dprAdminPageUpdatePreviewBtn" type="submit" name="save" value="Update and Preview" class="button button-primary button-large"/>')
		.append('<div style="clear: both;"></div>');
	jQuery('#dprAdminPageUpdatePreviewBtn').click(function(){
		jQuery('#major-publishing-actions').append('<input type="hidden" name="open_page_preview" value="1" />');
	});
	jQuery('.add-new-h2').click(function(){
		var firstSelectedBookId = dprPageGetFirstSelectedBookId();
		if(firstSelectedBookId) {
			jQuery(this).attr('href', jQuery(this).attr('href')+ '&dpr_book='+ firstSelectedBookId);
		}
	});
	dprCheckActiveBatchAddPagesBtns();
	jQuery('[name="tax_input[dpr_book][]"]').change(function(){
		dprCheckActiveBatchAddPagesBtns();
	});
	jQuery('.dprAdminBatchPgAddFromPg').click(function(){
		if(jQuery(this).hasClass('button-primary')) {
			var firstSelectedBookId = dprPageGetFirstSelectedBookId()
			,	baseHref = jQuery(this).attr('href');
			window.open(str_replace(str_replace(baseHref, 
				'DYNAMIC_BOOK_ID', firstSelectedBookId), 
				'DYNAMIC_HASH', jQuery(this).data('hash')));
		} else {
			
			jQuery('html, body').animate({
				scrollTop: jQuery("#dpr_bookdiv").offset().top
			}, 1000, function() {
				jQuery('#dpr_bookdiv').animate({
					backgroundColor: '#aaffaa'
				}, 500, function() {
					jQuery('#dpr_bookdiv').animate({
						backgroundColor: '#ffffff'
					}, 500);
				});
			});
			if(!jQuery('#dprSelectBookFirstMsg').size()) {
				jQuery('<div id="dprSelectBookFirstMsg" style="background-color: #aaffaa; font-weight: bold; padding: 3px;" />')
					.html(toeLangDpr('Select publication at first'))
					.insertBefore('#dpr_bookdiv');
			}
		}
		return false;
	});
});
if(dprOpenPagePreview) {
	if(typeof(dprPagePreviewUrl) !== 'undefined' && dprPagePreviewUrl && dprPagePreviewUrl != '') {
		window.open(dprPagePreviewUrl);
	}
}
function dprCheckActiveBatchAddPagesBtns() {
	var firstSelectedBookId = dprPageGetFirstSelectedBookId();
	if(firstSelectedBookId) {
		jQuery('.dprAdminBatchPgAddFromPg').addClass('button-primary');
		jQuery('#dprSelectBookFirstMsg').remove();
	} else {
		jQuery('.dprAdminBatchPgAddFromPg').removeClass('button-primary');
	}
}
