<?php
    global $wpdb;
    if (WPLANG == '') {
        define('DPR_WPLANG', 'en_GB');
    } else {
        define('DPR_WPLANG', WPLANG);
    }
    if(!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

    define('DPR_PLUG_NAME', basename(dirname(__FILE__)));
    define('DPR_DIR', WP_PLUGIN_DIR. DS. DPR_PLUG_NAME. DS);
    define('DPR_TPL_DIR', DPR_DIR. 'tpl'. DS);
    define('DPR_CLASSES_DIR', DPR_DIR. 'classes'. DS);
    define('DPR_TABLES_DIR', DPR_CLASSES_DIR. 'tables'. DS);
	define('DPR_HELPERS_DIR', DPR_CLASSES_DIR. 'helpers'. DS);
    define('DPR_LANG_DIR', DPR_DIR. 'lang'. DS);
    define('DPR_IMG_DIR', DPR_DIR. 'img'. DS);
    define('DPR_TEMPLATES_DIR', DPR_DIR. 'templates'. DS);
    define('DPR_MODULES_DIR', DPR_DIR. 'modules'. DS);
    define('DPR_FILES_DIR', DPR_DIR. 'files'. DS);
    define('DPR_ADMIN_DIR', ABSPATH. 'wp-admin'. DS);

    define('DPR_SITE_URL', get_bloginfo('wpurl'). '/');
    define('DPR_JS_PATH', WP_PLUGIN_URL.'/'.basename(dirname(__FILE__)).'/js/');
    define('DPR_CSS_PATH', WP_PLUGIN_URL.'/'.basename(dirname(__FILE__)).'/css/');
    define('DPR_IMG_PATH', WP_PLUGIN_URL.'/'.basename(dirname(__FILE__)).'/img/');
    define('DPR_MODULES_PATH', WP_PLUGIN_URL.'/'.basename(dirname(__FILE__)).'/modules/');
    define('DPR_TEMPLATES_PATH', WP_PLUGIN_URL.'/'.basename(dirname(__FILE__)).'/templates/');
    define('DPR_JS_DIR', DPR_DIR. 'js/');

    define('DPR_URL', DPR_SITE_URL);

    define('DPR_LOADER_IMG', DPR_IMG_PATH. 'loading-cube.gif');
	define('DPR_TIME_FORMAT', 'H:i:s');
    define('DPR_DATE_DL', '/');
    define('DPR_DATE_FORMAT', 'm/d/Y');
    define('DPR_DATE_FORMAT_HIS', 'm/d/Y ('. DPR_TIME_FORMAT. ')');
    define('DPR_DATE_FORMAT_JS', 'mm/dd/yy');
    define('DPR_DATE_FORMAT_CONVERT', '%m/%d/%Y');
    define('DPR_WPDB_PREF', $wpdb->prefix);
    define('DPR_DB_PREF', 'dpr_');    /*TheOneEcommerce*/
    define('DPR_MAIN_FILE', 'dpr.php');

    define('DPR_DEFAULT', 'default');
    define('DPR_CURRENT', 'current');
    
    
    define('DPR_PLUGIN_INSTALLED', true);
    define('DPR_VERSION', '0.4.4');
    define('DPR_USER', 'user');
    
    define('DPR_CLASS_PREFIX', 'dprc');     
    define('DPR_FREE_VERSION', false);
    
    define('DPR_API_UPDATE_URL', 'http://somereadyapiupdatedomain.com');
    
    define('DPR_SUCCESS', 'Success');
    define('DPR_FAILED', 'Failed');
	define('DPR_ERRORS', 'dprErrors');
	
	define('DPR_ADMIN',	'admin');
	define('DPR_LOGGED','logged');
	define('DPR_GUEST',	'guest');
	
	define('DPR_ALL',		'all');
	
	define('DPR_METHODS',		'methods');
	define('DPR_USERLEVELS',	'userlevels');
	/**
	 * Framework instance code, unused for now
	 */
	define('DPR_CODE', 'dpr');

	define('DPR_LANG_CODE', 'dpr_lng');
	/**
	 * Plugin name
	 */
	define('DPR_WP_PLUGIN_NAME', 'Digital Publications');
	/**
	 * Custom edfined for plugin
	 */
	define('DPR_BOOK', 'dpr_book');
	define('DPR_PAGE', 'dpr_page');
