jQuery(document).ready(function(){
	jQuery('.dprSlAdminShowLinksBtn').click(function(){
		if(!this.linksList) {
			var btnShell = jQuery(this).parents('.dprSlAdminBtnShell:first')
			,	linksShell = btnShell.find('.dprSlAdminLinksShell:first')
			,	value = btnShell.find('.dprSlAdminInput:first').find('input').val();
			console.log(value);
			if(value && value != '') {
				dprSlConvertFromVal(linksShell.find('.dprSlAdminDesignTabs'), value);
			}
			this.linksList = toeShowDialogCustomized( linksShell );
		} else {
			this.linksList.dialog('open');
		}
		return false;
	});
	jQuery('.dprSlAdminDesignTabs').wpTabs();
	jQuery('.dprSlAdminSelectLinksBtn').click(function(){
		var dialogParent = jQuery(this).parents('.dprSlAdminLinksShell:first')
		,	dialogId = dialogParent.data('id');
		jQuery('.dprSlAdminBtnShell[data-id="'+ dialogId+ '"]').find('.dprSlAdminInput').find('input').val( dprSlConvertVal(dialogParent) );
		dialogParent.dialog('close');
		return false;
	});
});
function dprSlConvertVal(dialog) {
	var res = '';
	dialog.find('.dprSlAdminTab').each(function(){
		if(jQuery(this).is(':visible')) {
			var selectedIcons = [];
			jQuery(this).find('input[type=checkbox]:checked').each(function(){
				selectedIcons.push( jQuery(this).attr('name') );
			});
			res = jQuery(this).data('design')+ '='+ selectedIcons.join('|');
		}
	});
	return res;
}
function dprSlConvertFromVal(tabsShell, value) {
	var designLinks = value.split('=')
	,	links = designLinks[1] ? designLinks[1].split('|') : false
	,	selectedTabContent = tabsShell.find('.dprSlAdminTab.'+ designLinks[0]);
	tabsShell.wpTabs('activate', '#'+ selectedTabContent.attr('id'));
	if(links) {
		for(var i in links) {
			selectedTabContent.find('input[type=checkbox][name="'+ links[i]+ '"]').attr('checked', 'checked');
		}
	}
}