<?php if(!$this->simple) {?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<?php }?>
<html <?php language_attributes(); ?>>
<?php if(!$this->simple) {?>
<!--<![endif]-->
<?php }?>
<head>
	<?php if(!$this->simple) {?>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<title><?php echo $this->book->name?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php wp_head(); ?>
	<style type="text/css">
		.dprBookStageShell  {
			margin: 0 auto;
			width: <?php echo $this->sizeToPxPt((int)$this->book->params['width'] / 2)?>;
		}
		.outer {
			display: table;
			position: absolute;
			height: 100%;
			width: 100%;
		}
		.middle {
			display: table-cell;
			vertical-align: middle;
		}
		.inner {
			margin-left: auto;
			margin-right: auto; 
			width: 100%/*whatever width you want*/;
		}
		.exportPage {
			width: <?php echo $this->sizeToPxPt((int)$this->book->params['width'] / 2)?>;
			-webkit-box-shadow: 6px 6px 15px 0px rgba(50, 50, 50, 0.75);
			-moz-box-shadow:    6px 6px 15px 0px rgba(50, 50, 50, 0.75);
			box-shadow:         6px 6px 15px 0px rgba(50, 50, 50, 0.75);
		}
	</style>
	<?php }?>
</head>

<body <?php body_class(); ?>>
	<div class="outer">
		<div class="middle">
			<div class="inner">
				<div class="dprBookStageShell ">
				<?php foreach($this->book->pages as $page) { ?>
					<div class="exportPage"><?php echo $page->post_content?></div>
				<?php }?>
				</div>
			</div>
		</div>
	</div>
</body>
</html>