<div style="clear: both;"></div>
	<div class="dprTabsShell">
		<h2 class="nav-tab-wrapper">
			<a class="nav-tab dprUnselectable" href="#dprAdminBookProperties"><?php _e('Properties', DPR_LANG_CODE)?></a>
			<a class="nav-tab dprUnselectable" href="#dprAdminBookPages"><?php _e('Pages', DPR_LANG_CODE)?></a>
			<a class="nav-tab dprUnselectable" href="#dprAdminBookBatchWpImages"><?php _e('Add pages from WP images', DPR_LANG_CODE)?></a>
			<a class="nav-tab dprUnselectable" href="#dprAdminBookBatchFtpImages"><?php _e('Add pages from FTP', DPR_LANG_CODE)?></a>
			<?php if(!empty($this->addTabs)) { ?>
				<?php foreach($this->addTabs as $tabId => $tab) { ?>
					<a class="nav-tab dprUnselectable <?php echo (isset($tab['promo']) && $tab['promo']) ? 'dprPromoTab' : ''?>" href="#<?php echo $tabId?>">
						<?php echo $tab['label']?>
						<?php if(isset($tab['promo']) && $tab['promo']) { ?>
						<i>PRO</i>
						<?php }?>
					</a>
				<?php }?>
			<?php }?>
			<a class="nav-tab dprUnselectable notTab dprAddPageTab" href="<?php echo $this->addBookPageUrl?>" target="_blank">+ <?php _e('Add page', DPR_LANG_CODE)?></a>
		</h2>
		<div id="dprAdminBookProperties" class="dprTabContent"></div>
		<div id="dprAdminBookPages" class="dprTabContent">
			<?php if($this->book->pages) { ?>
				<div style="height: 25px; padding-left: 9px;">
					<label>
						<?php echo htmlDpr::checkbox('select_all_pages', array('attrs' => 'id="dprSelectAllPagesCheck"'))?>
						<?php _e('Select all', DPR_LANG_CODE)?>
					</label>
					<a href="" class="dprRemovePagesBtn button" style="display: none;"><?php _e('Remove selected pages', DPR_LANG_CODE)?></a>
					<span id="dprRemovePagesMsg"></span>
				</div>
			<?php }?>
			<ul id="dprAdminBookPagesShell" class="dprTemplatesList">
				<?php if($this->book->pages) { ?>
					<?php foreach($this->book->pages as $page) { ?>
					<li class="dprTemplatePrevShell dprTemplatePrevShell-existing dprTemplatePrevShell-<?php echo $page->ID?> <?php echo ($page->attach_id ? 'dprPageImg' : '')?>" data-id="<?php echo $page->ID?>">
						<div class="dprTemplateInnerContent">
							<h2 style="text-align: center; color: #454545">
								<?php echo htmlDpr::checkbox('remove_page_check', array('attrs' => 'class="dprRemovePageCheck"'))?>
								<span class="dprTemplatePageTitle"><?php echo $page->post_title?></span>
								<div class="dprPagePrevMsg"></div>
							</h2><hr />
							<div class="dprTemplatePrevContent"><?php echo $page->post_content?></div>
						</div>
						<div class="dprTemplatePrevPageNum"></div>
						<div class="dprTemplatePrevActionShell">
							<?php if(isset($page->attach_id) && $page->attach_id && $this->gdSupport) {	// Those features retuire GD support?>
							<a href="#" onclick="dprSplitBtn(this); return false;" class="dprPagePrevActLink dprSplitLink" title="<?php _e('Split into 2 pages', DPR_LANG_CODE)?>"></a>
							<a href="#" onclick="dprMergeBtn(this); return false;" class="dprPagePrevActLink dprMergeLink" title="<?php _e('Merge 2 nearest pages', DPR_LANG_CODE)?>"></a>
							<?php }?>
							<a href="<?php echo $page->edit_link?>" target="_blank" class="dashicons dashicons-before dashicons-edit" title="<?php _e('Edit', DPR_LANG_CODE)?>"></a>
							<a href="#" class="dashicons dashicons-before dashicons-trash dprAdminBookRemovePageBtn" title="<?php _e('Remove', DPR_LANG_CODE)?>"></a>
						</div>
					</li>
					<?php } ?>
				<?php } ?>
			</ul>
			<?php echo htmlDpr::hidden('dpr[pages_sort_order]');?>
		</div>
		<div id="dprAdminBookBatchWpImages" class="dprTabContent">
			<?php echo htmlDpr::imgGalleryBtn('add_batch_images', array('value' => __('Select images'), 'onChange' => 'dprAddImgForBatchPage', 'attrs' => 'class="button"', DPR_LANG_CODE))?>
			<span class="dprBookAddPagesSubmitShell">
				<?php echo htmlDpr::button(array('value' => __('Clear'), 'attrs' => 'class="button" onclick="drpClearBatch(\'#dprAdminBookAddBatchFromImagesTbl\'); return false;"', DPR_LANG_CODE))?>
				<?php echo htmlDpr::button(array('value' => __('Sort by title'). '<span class="dprBatchSortDirIcon dashicons dashicons-arrow-down"></span>', 'attrs' => 'class="button dprSortBatchBtn" onclick="drpSortBatch(\'#dprAdminBookAddBatchFromImagesTbl\', \'title\'); return false;"', DPR_LANG_CODE))?>
				<?php echo htmlDpr::button(array('value' => __('Create pages'), 'attrs' => 'class="button button-primary dprAddBatchImgages dprAdminCreateBatchPagesFromImagesBtn" data-bookid="'. $this->book->term_id. '"', DPR_LANG_CODE))?>
			</span>
			<span class="dprAdminCreateBatchPagesFromImagesMsg"></span>
			<br />
			<ul id="dprAdminBookAddBatchFromImagesTbl" class="dprTemplatesList">
				<li class="dprRowExample dprTemplatePrevShell dprTemplatePrevShell-existing">
					<div class="dprTemplateInnerContent">
						<h2 style="text-align: center; color: #454545">
							<?php echo htmlDpr::text('batch_pages[titles][]', array('attrs' => 'placeholder="'. __('Enter page name ... (not required)').'"', DPR_LANG_CODE))?>
							<?php echo htmlDpr::hidden('batch_pages[attach_id][]')?>
						</h2>
						<hr />
						<img src="" class="dprTemplateImg" />
					</div>
					<div class="dprTemplatePrevPageNum"></div>
					<div class="dprTemplatePrevActionShell">
						<a href="#" class="dashicons dashicons-before dashicons-trash" onclick="dprAdminRemoveAddRow(this); return false;" title="<?php _e('Remove', DPR_LANG_CODE)?>"></a>
					</div>
				</li>
			</ul>
			<div style="clear: both;"></div>
			<div class="dprBookAddPagesSubmitShell">
				<?php echo htmlDpr::imgGalleryBtn('add_batch_images', array('value' => __('Select images'), 'onChange' => 'dprAddImgForBatchPage', 'attrs' => 'class="button"', DPR_LANG_CODE))?>
				<?php echo htmlDpr::button(array('value' => __('Clear'), 'attrs' => 'class="button" onclick="drpClearBatch(\'#dprAdminBookAddBatchFromImagesTbl\'); return false;"', DPR_LANG_CODE))?>
				<?php echo htmlDpr::button(array('value' => __('Sort by title'). '<span class="dprBatchSortDirIcon dashicons dashicons-arrow-down"></span>', 'attrs' => 'class="button dprSortBatchBtn" onclick="drpSortBatch(\'#dprAdminBookAddBatchFromImagesTbl\', \'title\'); return false;"', DPR_LANG_CODE))?>
				<?php echo htmlDpr::button(array('value' => __('Create pages'), 'attrs' => 'class="button button-primary dprAddBatchImgages dprAdminCreateBatchPagesFromImagesBtn" data-bookid="'. $this->book->term_id. '"', DPR_LANG_CODE))?>
			</div>
			<span class="dprAdminCreateBatchPagesFromImagesMsg"></span>
		</div>
		<div id="dprAdminBookBatchFtpImages" class="dprTabContent">
			<?php echo htmlDpr::text('add_batch_serv_path', array('attrs' => 'style="width: 400px;" placeholder="'. __('Enter images folder, e.g. wp-content/uploads/my-images'). '"', DPR_LANG_CODE))?>
			<?php echo htmlDpr::button(array('value' => __('Parse folder'), 'attrs' => 'class="button" id="dprAdminAddPagesParseFolderBtn" data-bookid="'. $this->book->term_id. '"', DPR_LANG_CODE))?>
			<span class="dprBookAddPagesSubmitShell">
				<?php echo htmlDpr::button(array('value' => __('Clear'), 'attrs' => 'class="button" onclick="drpClearBatch(\'#dprAdminBookAddBatchFromServerDirTbl\'); return false;"', DPR_LANG_CODE))?>
				<?php echo htmlDpr::button(array('value' => __('Sort by title'). '<span class="dprBatchSortDirIcon dashicons dashicons-arrow-down"></span>', 'attrs' => 'class="button dprSortBatchBtn" onclick="drpSortBatch(\'#dprAdminBookAddBatchFromServerDirTbl\', \'title\'); return false;"', DPR_LANG_CODE))?>
				<?php echo htmlDpr::button(array('value' => __('Create pages'), 'attrs' => 'class="button button-primary dprAddBatchImgages dprAdminCreateBatchPagesFromServerDirBtn" data-bookid="'. $this->book->term_id. '"', DPR_LANG_CODE))?>
			</span>
			<span class="dprAdminCreateBatchPagesFromServerDirMsg"></span>
			<span id="dprAdminAddPagesParseFolderMsg"></span><br />
			<i style="font-weight: bold;"><?php _e('Note that images folder MUST be in wp-content/uploads directory', DPR_LANG_CODE)?></i><br />
			<ul id="dprAdminBookAddBatchFromServerDirTbl" class="dprTemplatesList">
				<li class="dprRowExample dprTemplatePrevShell dprTemplatePrevShell-existing">
					<div class="dprTemplateInnerContent">
						<h2 style="text-align: center; color: #454545">
							<?php echo htmlDpr::text('batch_pages[titles][]', array('attrs' => 'placeholder="'. __('Enter page name ... (not required)').'"', DPR_LANG_CODE))?>
							<?php echo htmlDpr::hidden('batch_pages[img_url][]')?>
						</h2>
						<hr />
						<img src="" class="dprTemplateImg" />
					</div>
					<div class="dprTemplatePrevPageNum"></div>
					<div class="dprTemplatePrevActionShell">
						<a href="#" class="dashicons dashicons-before dashicons-trash" onclick="dprAdminRemoveAddRow(this); return false;" title="<?php _e('Remove', DPR_LANG_CODE)?>"></a>
					</div>
				</li>
			</ul>
			<div style="clear: both;"></div>
			<div class="dprBookAddPagesSubmitShell">
				<?php echo htmlDpr::button(array('value' => __('Clear'), 'attrs' => 'class="button" onclick="drpClearBatch(\'#dprAdminBookAddBatchFromServerDirTbl\'); return false;"', DPR_LANG_CODE))?>
				<?php echo htmlDpr::button(array('value' => __('Sort by title'). '<span class="dprBatchSortDirIcon dashicons dashicons-arrow-down"></span>', 'attrs' => 'class="button dprSortBatchBtn" onclick="drpSortBatch(\'#dprAdminBookAddBatchFromServerDirTbl\', \'title\'); return false;"', DPR_LANG_CODE))?>
				<?php echo htmlDpr::button(array('value' => __('Create pages'), 'attrs' => 'class="button button-primary dprAddBatchImgages dprAdminCreateBatchPagesFromServerDirBtn" data-bookid="'. $this->book->term_id. '"', DPR_LANG_CODE))?>
			</div>
			<span class="dprAdminCreateBatchPagesFromServerDirMsg"></span>
		</div>
		<?php if(!empty($this->addTabs)) { ?>
			<?php foreach($this->addTabs as $tabId => $tab) { ?>
				<div id="<?php echo $tabId?>" class="dprTabContent"><?php echo $tab['content']?></div>
			<?php }?>
		<?php }?>
	</div>
<div style="clear: both;"></div>