<?php
class optionsControllerDpr extends controllerDpr {
    /*public function save() {
		$res = new responseDpr();
		if($this->getModel()->save(reqDpr::get('post'))) {
			$res->addMessage(__('Done', DPR_LANG_CODE));
		} else
			$res->pushError ($this->getModel('options')->getErrors());
		return $res->ajaxExec();
    }*/
	public function saveGroup() {
		$res = new responseDpr();
		if($this->getModel()->saveGroup(reqDpr::get('post'))) {
			$res->addMessage(__('Done', DPR_LANG_CODE));
		} else
			$res->pushError ($this->getModel('options')->getErrors());
		return $res->ajaxExec();
	}
	public function activatePlugin() {
		$res = new responseDpr();
		if($this->getModel('modules')->activatePlugin(reqDpr::get('post'))) {
			$res->addMessage(__('Plugin was activated', DPR_LANG_CODE));
		} else {
			$res->pushError($this->getModel('modules')->getErrors());
		}
		return $res->ajaxExec();
	}
	public function activateUpdate() {
		$res = new responseDpr();
		if($this->getModel('modules')->activateUpdate(reqDpr::get('post'))) {
			$res->addMessage(__('Very good! Now plugin will be updated.', DPR_LANG_CODE));
		} else {
			$res->pushError($this->getModel('modules')->getErrors());
		}
		return $res->ajaxExec();
	}
	public function sendMailToDevelopers() {
        $res = new responseDpr();
        $data = reqDpr::get('post');
        $fields = array(
            'name' => new fieldDpr('name', __('Your name field is required.'), '', '', 'Your name', 0, array(), 'notEmpty', DPR_LANG_CODE),
            'website' => new fieldDpr('website', __('Your website field is required.'), '', '', 'Your website', 0, array(), 'notEmpty', DPR_LANG_CODE),
            'email' => new fieldDpr('email', __('Your e-mail field is required.'), '', '', 'Your e-mail', 0, array(), 'notEmpty, email', DPR_LANG_CODE),
            'subject' => new fieldDpr('subject', __('Subject field is required.'), '', '', 'Subject', 0, array(), 'notEmpty', DPR_LANG_CODE),
            'category' => new fieldDpr('category', __('You must select a valid category.'), '', '', 'Category', 0, array(), 'notEmpty', DPR_LANG_CODE),
            'message' => new fieldDpr('message', __('Message field is required.'), '', '', 'Message', 0, array(), 'notEmpty', DPR_LANG_CODE),
        );
        foreach($fields as $f) {
            $f->setValue($data[$f->name]);
            $errors = validatorDpr::validate($f);
            if(!empty($errors)) {
                $res->addError($errors);
            }
        }
        if(!$res->error) {
            $msg = 'Message from: '. get_bloginfo('name').', Host: '. $_SERVER['HTTP_HOST']. '<br />';
            foreach($fields as $f) {
                $msg .= '<b>'. $f->label. '</b>: '. nl2br($f->value). '<br />';
            }
			$headers[] = 'From: '. $fields['name']->value. ' <'. $fields['email']->value. '>';
			add_filter('wp_mail_content_type', array(frameDpr::_()->getModule('messenger'), 'mailContentType'));
            wp_mail('ukrainecmk@ukr.net, simon@readyshoppingcart.com, support@readyecommerce.zendesk.com', DPR_WP_PLUGIN_NAME. ' Contact Dev', $msg, $headers);
            $res->addMessage(__('Done', DPR_LANG_CODE));
        }
        $res->ajaxExec();
    }
	public function getPermissions() {
		return array(
			DPR_USERLEVELS => array(
				DPR_ADMIN => array('save', 'saveGroup',  
					'activatePlugin', 'activateUpdate', 'sendMailToDevelopers')
			),
		);
	}
}

