<?php
class optionsModelDpr extends modelDpr {
    public function get($code) {
        $val = get_option('dpr_opt_'. $code);
		if($val === false) {
			// If there are no record in database - check it's default value
			$allOptDesc = $this->getModule()->getAllOptsDesc();
			if(isset($allOptDesc[ $code ]) && isset($allOptDesc[ $code ]['default'])) {
				$val = $allOptDesc[ $code ]['default'];
			}
		}
		return $val;
    }
	public function isEmpty($code) {
		$value = $this->get($code);
		return $value === false;
	}
	public function save($code, $val) {
		return update_option('dpr_opt_'. $code, $val);
	}
    public function saveGroup($d = array()) {
		if(isset($d['opt_values']) && is_array($d['opt_values']) && !empty($d['opt_values'])) {
			foreach($d['opt_values'] as $code => $val) {
				$this->save($code, $val);
			}
			return true;
		} else
			$this->pushError(__('Empty data to save option', DPR_LANG_CODE));
        return false;
    }
}
