<form id="dprAdminOptsForm">
	<fieldset>
		<table class="form-table">
			<tbody>
			<?php foreach($this->opts as $key => $opt) { ?>
				<?php
					$htmlType = $opt['type'];
					if(empty($htmlType)) continue;
					$id = '';
					$inputParams = array();
					$inputParams['value'] = $opt['value'];
					$inputParams['attrs'] = isset($opt['attrs']) ? $opt['attrs'] : '';
					if(strpos($inputParams['attrs'], 'id=') === false) {
						$id = 'opts_'. $key;
						$inputParams['attrs'] .= ' id="'. $id. '"';
					}
					$name = 'opt_values['. $key. ']';
				?>
				<tr>
					<th scope="row"><label for="<?php echo $id?>"><?php echo $opt['label']?>:</label></th>
					<td>
						<?php echo htmlDpr::$htmlType($name, $inputParams)?>
						<?php if(!empty($opt['desc'])) { ?>
						<i><?php echo $opt['desc']?></i>
						<?php }?>
					</td>
				</tr>
			<?php }?>
			</tbody>
		</table>
		<?php echo htmlDpr::hidden('mod', array('value' => 'options'))?>
		<?php echo htmlDpr::hidden('action', array('value' => 'saveGroup'))?>
		<?php echo htmlDpr::hidden('reqType', array('value' => 'ajax'))?>
		<?php echo htmlDpr::submit('save', array('value' => __('Save'), 'attrs' => 'class="button button-primary"', DPR_LANG_CODE))?>
		<span id="dprAdminOptsFormMsg"></span>
	</fieldset>
</form>