<?php
class promo_readyControllerDpr extends controllerDpr {
    public function welcomePageSaveInfo() {
		$res = new responseDpr();
		installerDpr::setUsed();
		if($this->getModel()->welcomePageSaveInfo(reqDpr::get('get'))) {
			$res->addMessage(__('Information was saved. Thank you!', DPR_LANG_CODE));
		} else {
			$res->pushError($this->getModel()->getErrors());
		}
		$originalPage = reqDpr::getVar('original_page');
		$returnArr = explode('|', $originalPage);
		$return = $this->getModule()->decodeSlug(str_replace('return=', '', $returnArr[1]));
		$return = admin_url( strpos($return, '?') ? $return : 'admin.php?page='. $return);
		redirect($return);
		//return $res->ajaxExec();
	}
	/**
	 * @see controller::getPermissions();
	 */
	public function getPermissions() {
		return array(
			DPR_USERLEVELS => array(
				DPR_ADMIN => array('welcomePageSaveInfo')
			),
		);
	}
}