<?php
	$dialogId = mt_rand(1, 9999);
?>
<div class="dprSlAdminBtnShell" data-id="<?php echo $dialogId?>">
	<?php echo htmlDpr::button(array('value' => __('Select social links', DPR_LANG_CODE), 'attrs' => 'class="dprSlAdminShowLinksBtn button"'))?>
	<span class="dprSlAdminInput">
		<?php echo $this->data['input']?>
	</span>
	<div class="dprSlAdminLinksShell" data-id="<?php echo $dialogId?>">
		<div class="dprSlAdminDesignTabs">
			<h2 class="nav-tab-wrapper">
				<?php foreach($this->allAvailableDesigns as $dKey => $design) { ?>
					<a class="nav-tab dprUnselectable" href="#<?php echo $dKey. '_'. $dialogId?>"><?php echo $design['label']?></a>
				<?php }?>
			</h2>
			<?php foreach($this->allAvailableDesigns as $dKey => $design) { ?>
				<div id="<?php echo $dKey. '_'. $dialogId?>" class="dprTabContent dprSlAdminTab <?php echo $dKey?>" data-design="<?php echo $dKey?>">
					<?php foreach($this->allAvailableIcons as $iKey => $icon) { ?>
						<label>
							<div class="dprSlIcon <?php echo $iKey?> <?php echo $dKey?>"></div>
							<?php echo htmlDpr::checkbox($iKey, array('attrs' => 'class="dprAdminSlCheck"'))?>
						</label>
					<?php }?>
					<div style="clear: both;"></div>
				</div>
			<?php }?>
		</div>
		<?php echo htmlDpr::button(array('value' => __('Done', DPR_LANG_CODE), 'attrs' => 'class="dprSlAdminSelectLinksBtn button"'))?>
	</div>
</div>