<?php
class userDpr extends moduleDpr {
    public function loadUserData() {
        return $this->getCurrent();
    }
    public function isAdmin() {
		if(!function_exists('wp_get_current_user')) {
			frameDpr::_()->loadPlugins();
		}
        return current_user_can('administrator');
    }
	public function getCurrentUserPosition() {
		if($this->isAdmin())
			return DPR_ADMIN;
		else if($this->getCurrentID())
			return DPR_LOGGED;
		else 
			return DPR_GUEST;
	}
    public function getCurrent() {
        return $this->getController()->getModel('user')->get();
    }

    public function getCurrentID() {
        return $this->getController()->getModel()->getCurrentID();
    }
}

